%define _requires_exceptions libRlapack.so()(64bit)\\|libRlapack.so\\|libR.so
%define with_R 1

Name: kde-edu-cantor 
Summary: KDE Frontend to Mathematical Software 
Version: 14.12.3
Release: %mkrel 2
Group: Graphical desktop/KDE4
License: GPLv2+
URL: https://projects.kde.org/projects/kde/kdeedu/cantor
Source0: http://download.kde.org/%{stable}/%{version}/src/cantor-%{version}.tar.xz

BuildRequires: kde-edu-analitza-devel 
BuildRequires: kdelibs-devel 
BuildRequires: eigen2
BuildRequires: R-base
BuildRequires: luajit-devel
BuildRequires: kde-edu-analitza-devel
BuildRequires: %{_lib}qalculate-devel
BuildRequires: %{_lib}spectre-devel
BuildRequires: desktop-file-utils
Requires: kde-runtime
Requires: kate-part

%description
Cantor is a KDE Application aimed to provide a nice Interface 
for doing Mathematics and Scientific Computing. It doesn't implement 
its own Computation Logic, but instead is built around different 
Backends.

%files 
%defattr(-,root,root)
%{_kde_bindir}/cantor
%{_datadir}/applications/kde4/cantor.desktop
%{_datadir}/config.kcfg/cantor.kcfg
%{_datadir}/config.kcfg/cantor_libs.kcfg
%{_datadir}/config.kcfg/maximabackend.kcfg
%{_datadir}/config.kcfg/octavebackend.kcfg
%{_datadir}/kde4/servicetypes/cantor_*.desktop
%{_libdir}/libcantorlibs.so.*
%{_libdir}/libcantor_config.so
%{_datadir}/config.kcfg/sagebackend.kcfg
%{_datadir}/config.kcfg/scilabbackend.kcfg
%{_datadir}/config.kcfg/kalgebrabackend.kcfg
%{_datadir}/config/cantor.knsrc
%{_datadir}/config/cantor_kalgebra.knsrc
%{_datadir}/config/cantor_maxima.knsrc
%{_datadir}/config/cantor_sage.knsrc
%{_datadir}/config/cantor_scilab.knsrc
%{_datadir}/config/cantor_qalculate.knsrc
%{_datadir}/config/cantor_python2.knsrc
%{_datadir}/config/cantor_octave.knsrc
%{_datadir}/config/cantor_lua.knsrc
%{_datadir}/appdata/cantor.appdata.xml
%{_datadir}/doc/HTML/en/cantor/common
%{_datadir}/doc/HTML/en/cantor/index.cache.bz2
%{_datadir}/doc/HTML/en/cantor/index.docbook
%{_datadir}/doc/HTML/en/cantor/latex_formula.png
%{_datadir}/doc/HTML/en/cantor/screenshot.png
%{_datadir}/icons/hicolor/16x16/apps/cantor.png
%{_datadir}/icons/hicolor/32x32/apps/cantor.png
%{_datadir}/icons/hicolor/48x48/apps/cantor.png
%{_datadir}/icons/hicolor/48x48/apps/maximabackend.png
%{_datadir}/icons/hicolor/48x48/apps/octavebackend.png
%{_datadir}/icons/hicolor/48x48/apps/pythonbackend.png
%{_datadir}/icons/hicolor/48x48/apps/qalculatebackend.png
%{_datadir}/icons/hicolor/48x48/apps/rbackend.png
%{_datadir}/icons/hicolor/48x48/apps/sagebackend.png
%{_datadir}/icons/hicolor/48x48/apps/scilabbackend.png
%{_datadir}/icons/hicolor/48x48/apps/luabackend.png
%{_datadir}/kde4/services/cantor/advancedplotassistant.desktop
%{_datadir}/kde4/services/cantor/cantor_part.desktop
%{_datadir}/kde4/services/cantor/creatematrixassistant.desktop
%{_datadir}/kde4/services/cantor/differentiateassistant.desktop
%{_datadir}/kde4/services/cantor/eigenvaluesassistant.desktop
%{_datadir}/kde4/services/cantor/eigenvectorsassistant.desktop
%{_datadir}/kde4/services/cantor/helppanelplugin.desktop
%{_datadir}/kde4/services/cantor/importpackageassistant.desktop
%{_datadir}/kde4/services/cantor/python2backend.desktop
%{_datadir}/kde4/services/cantor/integrateassistant.desktop
%{_datadir}/kde4/services/cantor/invertmatrixassistant.desktop
%{_datadir}/kde4/services/cantor/kalgebrabackend.desktop
%{_datadir}/kde4/services/cantor/maximabackend.desktop
%{_datadir}/kde4/services/cantor/nullbackend.desktop
%{_datadir}/kde4/services/cantor/octavebackend.desktop
%{_datadir}/kde4/services/cantor/plot2dassistant.desktop
%{_datadir}/kde4/services/cantor/plot3dassistant.desktop
%{_datadir}/kde4/services/cantor/runscriptassistant.desktop
%{_datadir}/kde4/services/cantor/sagebackend.desktop
%{_datadir}/kde4/services/cantor/scilabbackend.desktop
%{_datadir}/kde4/services/cantor/solveassistant.desktop
%{_datadir}/kde4/services/cantor/variablemanagerplugin.desktop

%{_libdir}/kde4/cantor_advancedplotassistant.so
%{_libdir}/kde4/cantor_creatematrixassistant.so
%{_libdir}/kde4/cantor_differentiateassistant.so
%{_libdir}/kde4/cantor_eigenvaluesassistant.so
%{_libdir}/kde4/cantor_eigenvectorsassistant.so
%{_libdir}/kde4/cantor_helppanelplugin.so
%{_libdir}/kde4/cantor_integrateassistant.so
%{_libdir}/kde4/cantor_invertmatrixassistant.so
%{_libdir}/kde4/cantor_kalgebrabackend.so
%{_libdir}/kde4/cantor_maximabackend.so
%{_libdir}/kde4/cantor_nullbackend.so
%{_libdir}/kde4/cantor_octavebackend.so
%{_libdir}/kde4/cantor_plot2dassistant.so
%{_libdir}/kde4/cantor_plot3dassistant.so
%{_libdir}/kde4/cantor_qalculatebackend.so
%{_libdir}/kde4/cantor_qalculateplotassistant.so
%{_libdir}/kde4/cantor_importpackageassistant.so
%{_libdir}/kde4/cantor_python2backend.so
%{_libdir}/kde4/cantor_runscriptassistant.so
%{_libdir}/kde4/cantor_sagebackend.so
%{_libdir}/kde4/cantor_scilabbackend.so
%{_libdir}/kde4/cantor_solveassistant.so
%{_libdir}/kde4/cantor_variablemanagerplugin.so
%{_libdir}/kde4/libcantorpart.so
%{_datadir}/apps/cantor/cantor_advancedplot_assistant.rc
%{_datadir}/apps/cantor/cantor_create_matrix_assistant.rc
%{_datadir}/apps/cantor/cantor_differentiate_assistant.rc
%{_datadir}/apps/cantor/cantor_eigenvalues_assistant.rc
%{_datadir}/apps/cantor/cantor_eigenvectors_assistant.rc
%{_datadir}/apps/cantor/cantor_import_package_assistant.rc
%{_datadir}/apps/cantor/python2backend/keywords.xml
%{_datadir}/apps/cantor/cantor_integrate_assistant.rc
%{_datadir}/apps/cantor/cantor_invert_matrix_assistant.rc
%{_datadir}/apps/cantor/cantor_part.rc
%{_datadir}/apps/cantor/cantor_plot2d_assistant.rc
%{_datadir}/apps/cantor/cantor_plot3d_assistant.rc
%{_datadir}/apps/cantor/cantor_qalculateplotassistant.rc
%{_datadir}/apps/cantor/cantor_runscript_assistant.rc
%{_datadir}/apps/cantor/cantor_scripteditor.rc
%{_datadir}/apps/cantor/cantor_shell.rc
%{_datadir}/apps/cantor/cantor_solve_assistant.rc
%{_datadir}/apps/cantor/maximabackend/keywords.xml
%{_datadir}/apps/cantor/maximabackend/cantor-initmaxima.lisp
%{_datadir}/apps/cantor/octavebackend/cantor_eigenvectors.m
%{_datadir}/apps/cantor/octavebackend/cantor_plot2d.m
%{_datadir}/apps/cantor/octavebackend/cantor_plot3d.m
%{_datadir}/apps/cantor/octavebackend/cantor_print.m
%{_datadir}/apps/cantor/sagebackend/keywords.xml
%{_datadir}/apps/cantor/xslt/latex.xsl
%{_datadir}/config.kcfg/qalculatebackend.kcfg
%{_datadir}/config.kcfg/python2backend.kcfg
%{_datadir}/kde4/services/cantor/qalculatebackend.desktop
%{_datadir}/kde4/services/cantor/qalculateplotassistant.desktop
%if %with_R
%{_kde_bindir}/cantor_rserver
%{_libdir}/kde4/cantor_rbackend.so
%{_datadir}/config.kcfg/rserver.kcfg
%{_datadir}/config/cantor_r.knsrc
%{_datadir}/kde4/services/cantor/rbackend.desktop
%endif

%{_libdir}/kde4/cantor_luabackend.so
%{_datadir}/config.kcfg/luabackend.kcfg
%{_datadir}/kde4/services/cantor/luabackend.desktop


%package devel
Summary:  Development files for %{name}
Requires: %{name}
Requires: kdelibs-devel

%description devel
%{summary}.

%files devel
%defattr(-,root,root)
%{_kde_includedir}/cantor/
%{_kde_libdir}/libcantorlibs.so

%prep
%setup -q -n cantor-%version
%apply_patches

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Geography" \
  --remove-category="ComputerScience" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%clean
rm -fr %buildroot

%changelog
* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04.0
- added missing BR luajit-devel

* Sat Mar 07 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

